package bou.amine.apps.readerforselfossv2.utils

import android.text.format.DateUtils
import bou.amine.apps.readerforselfossv2.service.AppSettingsService
import kotlinx.datetime.Clock
import kotlinx.datetime.Instant


actual class DateUtils actual constructor(actual val appSettingsService: AppSettingsService) {

    actual fun parseDate(dateString: String): Long {
        return Instant.parse(dateString).toEpochMilliseconds()
    }

    actual fun parseRelativeDate(dateString: String): String {

        val date = parseDate(dateString)

        return " " + DateUtils.getRelativeTimeSpanString(
            date,
            Clock.System.now().toEpochMilliseconds(),
            DateUtils.MINUTE_IN_MILLIS,
            DateUtils.FORMAT_ABBREV_RELATIVE
        )
    }
}